#include "QrfeAboutDialog.h"

#include <def.h>
#include <QrfeResourceGlobal>

QrfeAboutDialog::QrfeAboutDialog(QWidget *parent)
    : QDialog(parent)
{
	ui.setupUi(this);

	ui.versionLabel->setText(tr("Version ") + g_ReaderSuite_VersionString);

	QStringList licenses;

	licenses << "This software is based in part on the work of the Qwt project (http://qwt.sf.net).";
	licenses << "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)";
	licenses << "This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)";
	licenses << "This product includes software written by Tim Hudson (tjh@cryptsoft.com)";

	licenses << QrfeGlobal::buttonLicenseStrings();

	ui.licenseLabel->setText(licenses.join("\n\n"));
}

QrfeAboutDialog::~QrfeAboutDialog()
{

}
